Summary: 	Utilities for join, rotate and align PDFs
Name: 		pdfjam
Version: 	1.20
Release: 	1mdk
Packager:       Pascal Billery-Schneider <sagittarius@laposte.net>
License:	GPL
URL: 		http://www2.warwick.ac.uk/fac/sci/statistics/staff/academic/firth/software/pdfjam/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Publishing
Patch0:         pdfjam_paths.patch
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	tetex
Requires:	tetex-latex
BuildArch:	noarch

%description
PDFjam is a small collection of shell scripts which provide a simple interface
to some of the functionality of the excellent pdfpages package (by Andreas
Matthias) for pdfLaTeX.  At present the utilities available are:

  * pdfnup, which allows PDF files to be "n-upped" in roughly the way that
    psnup does for PostScript files.
  * pdfjoin, which concatenates the pages of multiple PDF files together into a
    single file
  * pdf90, which rotates the pages of one or more PDF files through 90 degrees
    (anti-clockwise).

In every case, source files are left unchanged.

A potential drawback of these utilities is that any hyperlinks in the source
PDF are lost. On the positive side, there is no appreciable degradation of
image quality in processing PDF files with thse programs, unlike some other
indirect methods such as pdf2ps | psnup | ps2pdf (in the author's experience).
[Better than the rather indirect approach taken here would be filters that work
directly on the PDF code, to produce output files with hyperlinks intact.]


%prep
%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir} 
install -m 0755 scripts/* $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc PDFjam-README.html COPYING VERSION
%{_bindir}/*

%changelog
* Tue Jun 28 2005 Pascal Billery-Schneider <sagittarius@laposte.net> 1.20-1mdk
- v 1.20
* Tue Aug 17 2004 Pascal Billery-Schneider <sagittarius@laposte.net> 1.11-1mdk
- first version